<%@page import="java.sql.ResultSet"%> <!-- 导入Java SQL包中的ResultSet类 -->
<%@page import="javabean.JDBCBean"%> <!-- 导入自定义的JDBCBean类 -->
<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"%> <!-- 设置页面语言为Java，内容类型和字符编码为UTF-8 -->
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8"> <!-- 设置HTML文档的字符编码为UTF-8 -->
  <title>bookadd</title> <!-- 设置网页标题 -->
  <!-- layui -->
  <link rel="stylesheet" href="../public/layui/css/layui.css"> <!-- 引入layui样式表 -->

  <style>
    .layui-form{
      margin: 10px 20px; /* 设置表单的外边距 */
    }
  </style>
  </style>
</head>
<body>
<%
  ResultSet librarySet = null; //声明一个ResultSet对象用于存储图书馆数据
  ResultSet bookSortSet = null; // 声明一个ResultSet对象用于存储书籍分类数据
  // 获取图书馆列表
  JDBCBean db2 = new JDBCBean(); // 创建JDBCBean对象db2
  String librarySql = "select * from library"; // SQL查询语句，选择所有图书馆记录
  librarySet = db2.executeQuery( librarySql ); // 执行SQL查询并将结果存储在librarySet中
  // 获取书籍分类
  JDBCBean db3 = new JDBCBean(); // 创建JDBCBean对象db3
  String bookSortSql = "select * from book_sort"; // SQL查询语句，选择所有书籍分类记录
  bookSortSet = db3.executeQuery( bookSortSql ); // 执行SQL查询并将结果存储在bookSortSet中
%>
<form class="layui-form   layui-form-pane" action=""> <!-- 创建一个layui表单 -->
  <input type="id" name="id" value="3" class="layui-hide"> <!-- 隐藏输入框，值为3 -->
  <div class="layui-form-item">
    <label class="layui-form-label">书名</label> <!-- 书名标签 -->
    <div class="layui-input-block">
      <input type="text" name="name" required="" lay-verify="required" placeholder="请输入书名" autocomplete="off" class="layui-input"> <!-- 书名输入框 -->
    </div>
  </div>
  <!-- 作者 -->
  <div class="layui-form-item">
    <label class="layui-form-label">作者</label> <!-- 作者标签 -->
    <div class="layui-input-block">
      <input type="text" name="author" required  lay-verify="required" placeholder="请输入作者" autocomplete="off" class="layui-input"> <!-- 作者输入框 -->
    </div>
  </div>
  <div class="layui-form-item">
    <label class="layui-form-label">图书馆</label> <!-- 图书馆标签 -->
    <div class="layui-input-block">
      <select name="library_id" lay-verify="required"> <!-- 图书馆下拉选择框 -->
        <option value=""></option> <!-- 空选项 -->
        <% while( librarySet.next() ){ %> <!-- 遍历图书馆数据集 -->
        <option value=<%=librarySet.getString("id") %>  ><%=librarySet.getString("name") %></option> <!-- 生成每个图书馆选项 -->
        <%} %>
      </select>
    </div>
  </div>
  <div class="layui-form-item">
    <label class="layui-form-label">分类</label> <!-- 分类标签 -->
    <div class="layui-input-block">
      <select name="sort_id" lay-verify="required"> <!-- 分类下拉选择框 -->
        <option value=""></option> <!-- 空选项 -->
        <% while(bookSortSet.next()){ %> <!-- 遍历书籍分类数据集 -->
        <option value=<%=bookSortSet.getInt("id") %>><%=bookSortSet.getString("name") %></option> <!-- 生成每个分类选项 -->
        <%} %>
      </select>
    </div>
  </div>
  <div class="layui-form-item">
    <label class="layui-form-label">位置</label> <!-- 位置标签 -->
    <div class="layui-input-block">
      <input type="text" name="position" required="" lay-verify="required" placeholder="请输入位置编号" autocomplete="off" class="layui-input"> <!-- 位置输入框 -->
    </div>
  </div>
  <div class="layui-form-item">
    <label class="layui-form-label">状态</label> <!-- 状态标签 -->
    <div class="layui-input-block">
      <input type="radio" name="status" value="1" title="可借" checked="checked"><div class="layui-unselect layui-form-radio layui-form-radioed"><div>可借</div></div>
      <input type="radio" name="status" value="0" title="不可借"><div class="layui-unselect layui-form-radio"><<div>不可借</div></div>
    </div>
  </div>

  <div class="layui-form-item layui-form-text">
    <label class="layui-form-label">书籍简介</label> <!-- 书籍简介标签 -->
    <div class="layui-input-block">
      <textarea class="layui-textarea" name="description"  lay-verify="content" id="LAY_demo_editor"></textarea> <!-- 书籍简介文本域 -->
    </div>
  </div>

  <div class="layui-form-item">
    <div class="layui-input-block">
      <button class="layui-btn" lay-submit="" lay-filter="bookForm">立即提交</button> <!-- 提交按钮 -->
      <button type="reset" class="layui-btn layui-btn-primary">重置</button> <!-- 重置按钮 -->
    </div>
  </div>
</form>

<script src="../public/layui/layui.js"></script> <!-- 引入layui脚本文件 -->
<script>
  layui.use(['form', 'jquery', 'layedit'], function(){
    //layer.closeAll(); //关闭所有层
    var form = layui.form,
            layer = layui.layer,
            $ = layui.jquery;
    var editIndex = layedit.build('LAY_demo_editor'); //建立编辑器
    // 自定义验证规则
    form.verify({
      content: function(value){ //解决富文本异步传输问题
        return layedit.sync(editIndex);
      }
    });
    //监听提交
    form.on('submit(bookForm)', function(data){
      $.ajax({
        url: './bookAdd', //请求地址
        method: 'post', //请求方式
        data: data.field, //JSON.stringify(data), //发送的数据
        dataType: 'JSON', //返回的数据类型
        success: function(data){ //成功回调函数
          if(data.code == "0"){
            layer.msg("添加成功", {
              icon: 1, //图标
              time: 500 //显示时间
            });
            setTimeout(function(){
              //parent.location.reload(); //操作父页面
              var index = parent.layer.getFrameIndex(window.name); //获取当前操作窗口的索引
              parent.layer.close(index); //关闭操作窗口
            }, 500);
          }else{
            layer.msg("添加失败"); //失败提示信息
          }
        }
      })
      return false; //阻止表单跳转。如果需要表单跳转，去掉这段即可。
    });
  });
</script>
</body>
</html>