<%@ page import="javabean.JDBCBean" %>
<%@ page import="java.sql.ResultSet" %>
<!DOCTYPE html>
<!-- 设置页面语言和编码 -->
<html lang="en" pageEncoding="UTF-8">
<head>
    <meta charset="UTF-8">
    <title>bookedit</title>
    <!-- layui样式 -->
    <link rel="stylesheet" href="../public/layui/css/layui.css">
    <style>
        .layui-form{
            margin: 10px 20px;
        }
    </style>
</head>
<body>
<%
    // 创建数据库操作对象
    JDBCBean db = new JDBCBean();
    // 获取请求参数中的id值，并转换为整数类型
    int id = Integer.parseInt(request.getParameter("id"));
    ResultSet resultSet = null;
    ResultSet librarySet = null;
    ResultSet bookSortSet = null;
    // SQL查询语句，根据id查询书籍信息
    String sql = "select * from books where id=" + id;
    // 执行查询操作
    resultSet = db.executeQuery(sql);
    // 移动到结果集的第一行数据
    resultSet.next();
    // 获取书籍的各项属性值
    String name = resultSet.getString("name");
    String author = resultSet.getString("author");
    int library_id = resultSet.getInt("library_id");
    int sort_id = resultSet.getInt("sort_id");
    String position = resultSet.getString("position");
    int status = resultSet.getInt("status");
    String description = resultSet.getString("description");
    // 关闭数据库连接
    db.close();

    // 获取图书馆列表
    JDBCBean db2 = new JDBCBean();
    String librarySql = "select * from library";
    librarySet = db2.executeQuery(librarySql);

    // 获取书籍分类列表
    JDBCBean db3 = new JDBCBean();
    String bookSortSql = "select * from book_sort";
    bookSortSet = db3.executeQuery(bookSortSql);
%>
<!-- 表单开始 -->
<form class="layui-form layui-form-pane  " action="">
    <!-- 隐藏id -->
    <input type="id" name="id" value=<%=id %> class="layui-hide">
    <!-- 书名 -->
    <div class="layui-form-item">
        <label class="layui-form-label">书名</label>
        <div class="layui-input-block">
            <input type="text" name="name" value=<%=name %> required lay-verify="required" placeholder="请输入书名" autocomplete="off" class="layui-input">
        </div>
    </div>
    <!-- 作者 -->
    <div class="layui-form-item">
        <label class="layui-form-label">作者</label>
        <div class="layui-input-block">
            <input type="text" name="author" value=<%=author %> required lay-verify="required" placeholder="请输入作者" autocomplete="off" class="layui-input">
        </div>
    </div>
    <!-- 图书馆 -->
    <div class="layui-form-item">
        <label class="layui-form-label">图书馆</label>
        <div class="layui-input-block">
            <select name="library_id" lay-verify="required">
                <option value=""></option>
                <% while(librarySet.next()){ %>
                <!-- 选中原来的图书馆 -->
                <option value=<%=librarySet.getString("id") %> <%if(Integer.parseInt(librarySet.getString("id")) == library_id){ out.print("selected"); } %>><%=librarySet.getString("name") %></option>
                <%} %>
            </select>
        </div>
    </div>
    <!-- 分类 -->
    <div class="layui-form-item">
        <label class="layui-form-label">分类</label>
        <div class="layui-input-block">
            <select name="sort_id" lay-verify="required">
                <option value=""></option>
                <% while(bookSortSet.next()){ %>
                <!-- 选中原来的分类 -->
                <option value=<%=bookSortSet.getInt("id") %> <% if(bookSortSet.getInt("id") == sort_id) out.print("selected"); %>><%=bookSortSet.getString("name") %></option>
                <%} %>
            </select>
        </div>
    </div>
    <!-- 位置 -->
    <div class="layui-form-item">
        <label class="layui-form-label">位置</label>
        <div class="layui-input-block">
            <input type="text" name="position" value=<%=position %> required lay-verify="required" placeholder="请输入位置编号" autocomplete="off" class="layui-input">
        </div>
    </div>
    <!-- 状态 -->
    <div class="layui-form-item">
        <label class="layui-form-label">状态</label>
        <div class="layui-input-block">
            <input type="radio" name="status" value="1" title="可借" <%if(status==1) out.print("checked"); %>>
            <input type="radio" name="status" value="0" title="不可借" <%if(status==0) out.print("checked"); %> >
        </div>
    </div>
    <!-- 书籍简介 -->
    <div class="layui-form-item layui-form-text">
        <label class="layui-form-label">书籍简介</label>
        <div class="layui-input-block">
            <textarea class="layui-textarea" name="description" id="LAY_demo_editor"><%=description %></textarea>
        </div>
    </div>
    <div class="layui-form-item">
        <div class="layui-input-block">
            <button class="layui-btn" lay-submit lay-filter="formDemo">立即提交</button>
            <button type="reset" class="layui-btn layui-btn-primary">重置</button>
        </div>
    </div>
</form>
<!-- layui脚本 -->
layui.use(['form', 'jquery', 'layedit'], function(){
var $ = layui.jquery, form = layui.form, layer = layui.layer, layedit = layui.layedit;
var editIndex = layedit.build('LAY_demo_editor'); //建立编辑器
// 自定义验证规则
form.verify({
content: function(value){ //解决异步传输问题
return layedit.sync(editIndex);
}
})
//监听提交
form.on('submit(formDemo)', function(data){
$.ajax({
url: './bookEdit', //请求地址
method: 'post', //请求方式
data: data.field, //JSON.stringify(data.field), //请求数据
dataType: 'json', //返回数据类型
success: function(data){ //成功回调函数
if(data.code == "0"){ //判断修改是否成功
parent.layer.msg("修改成功", {icon: 6, time: 500}); //提示消息
setTimeout(function(){ //延时跳转页面
var index = parent.layer.getFrameIndex(window.name); //操作父页面
parent.layer.close(index); //关闭当前页面
}, 500);
}else{ //失败提示
layer.msg("修改失败"); //提示消息
}

}
})
return false; //阻止表单跳转。如果需要表单跳转，去掉这段即可。
});
});
<%
    // 关闭资源
    bookSortSet.close(); //关闭书籍分类结果集
    librarySet.close(); //关闭图书馆结果集
    resultSet.close(); //关闭书籍信息结果集
    db.close(); //关闭数据库连接
%>
</body>
</html>
