<%@ page language="java" contentType="text/html; charset=UTF-8"
		pageEncoding="UTF-8"%>  // 设置页面的语言为Java，字符编码为UTF-8,设置页面的编码为UTF-8
<!DOCTYPE html>  <!-- 声明HTML文档类型为HTML5 -->
<html lang="en">  <!-- 设置网页的语言为英语 -->
<head>
	<meta charset="UTF-8">  <!-- 设置字符集为UTF-8，确保中文字符正确显示 -->
	<title>借阅记录</title>  <!-- 设置网页的标题为“借阅记录” -->
	<link rel="stylesheet" href="../public/layui/css/layui.css"  media="all">  <!-- 引入layui的CSS文件 -->
	<style>
		.layui-table,.layui-table-view{  // 自定义样式，设置layui表格的外边距
		margin: 0 0px;  // 设置表格的上下外边距为0
		}
	</style>
</head>
<body>
<script src="../public/layui/layui.js" charset="utf-8"></script>  <!-- 引入layui的JavaScript文件 -->
<!-- 表单 -->
<table class="layui-hide" id="history" lay-filter="formFilter"></table>  <!-- 创建一个表格，id为history，lay-filter属性指定表格的过滤器 -->

<!-- 头部工具栏 -->
<script type="text/html" id="headBar">  <!-- 定义一个条件搜索的工具栏模板 -->
条件搜索：
<div class="layui-inline">  <!-- 条件选择框 -->
	<select id="condition" name="condition" lay-verify="required">  <!-- 下拉选择框，要求选择条件 -->
		<option value=""></option>  <!-- 默认空值选项 -->
		<option value="other">超期未还</option>  <!-- 超期未还选项 -->
		<option value="id">ID</option>  <!-- ID选项 -->
		<option value="card_id">借阅证号</option>  <!-- 借阅证号选项 -->
		<option value="book_id">书籍ID</option>  <!-- 书籍ID选项 -->
		<option value="borrow_date">借阅日期</option>  <!-- 借阅日期选项 -->
		<option value="end_date">限制日期</option>  <!-- 限制日期选项 -->
		<option value="return_date">返还日期</option>  <!-- 返还日期选项 -->
		<option value="illegal">违章信息</option>  <!-- 违章信息选项 -->
		<option value="manager_id">处理人</option>  <!-- 处理人选项 -->
	</select>
</div>
<div class="layui-inline">  <!-- 输入框 -->
	<input class="layui-input" id="conditionValue" name="conditionValue" id="demoReload" autocomplete="off">  <!-- 条件值的输入框 -->
</div>
<button class="layui-btn" name="condition" data-type="reload"  lay-event="search">搜索</button>  <!-- 搜索按钮 -->
</script>
<script>
	layui.use(['table','jquery'], function(){  // 使用layui的table和jquery模块
		$ = layui.jquery;  // 获取jQuery对象
		var table = layui.table;  // 获取table组件实例
		// 进行渲染
		var tableIns =  table.render({
			elem: '#history'  // 表格容器的选择器
			,url:'./borrowList'  // 设置表格数据的接口地址
			,toolbar: '#headBar'  // 设置表格的工具栏，使用之前定义的headBar模板
			,cols: [[  // 定义表格的列
				{field:'id', width:80, title: 'ID', sort: true}  // ID列，宽度为80，支持排序
				,{field:'card_id', width:180, title: '借阅证号'}  // 借阅证号列，宽度为180
				,{field:'book_id', width:100, title: '书籍ID', sort: true}  // 书籍ID列，宽度为100，支持排序
				,{field:'borrow_date', width:180, title: '借阅时间'}  // 借阅时间列，宽度为180
				,{field:'end_date', title: '限定时间', width: 180}  // 限定时间列，宽度为180
				,{field:'return_date', width:180, title: '归还时间', sort: true}  // 归还时间列，宽度为180，支持排序
				,{field:'illegal', minWidth:280, title: '违章信息', sort: true}  // 违章信息列，最小宽度为280，支持排序
				,{field:'manager_id', width:80, title: '处理人'}  // 处理人列，宽度为80
			]]
			,page: true  // 启用分页功能
		});

		// 头部工具栏事件
		table.on('toolbar(formFilter)', function(obj){  // 为表格的头部工具栏绑定事件
			var checkStatus = table.checkStatus(obj.config.id);  // 获取选中的数据行
			switch(obj.event){  // 根据触发的事件进行不同的操作
					// 条件查找图书证
				case 'search':  // 当点击搜索按钮时
					var conditionValue = $('#conditionValue');  // 获取输入框中的条件值
					var condition = $('#condition');  // 获取下拉框中的选择条件
					// 进行搜索，重新渲染表格
					tableIns.reload({
						where: {  // 设定异步数据接口的额外参数
							"condition": condition.val(),  // 获取选择的条件
							"conditionValue": conditionValue.val()  // 获取输入的条件值
						}
						,page: {  // 设置分页信息
							curr: 1  // 重新从第 1 页开始
						}
					});
					break;

			};
		});
	});
</script>
</body>
</html>
