<%@page import="javabean.Base"%>  <!-- 导入javabean.Base类 -->
<%@page import="java.sql.ResultSet"%>  <!-- 导入ResultSet类，处理SQL查询结果 -->
<%@page import="java.sql.PreparedStatement"%>  <!-- 导入PreparedStatement类，用于执行SQL语句 -->
<%@page import="java.sql.Connection"%>  <!-- 导入Connection类，表示数据库连接 -->
<%@page import="net.sf.json.JSONObject"%>  <!-- 导入JSONObject类，用于处理JSON对象 -->
<%@page import="net.sf.json.JSONArray"%>  <!-- 导入JSONArray类，用于处理JSON数组 -->
<%@page import="javabean.Admin"%>  <!-- 导入javabean.Admin类 -->
<%@ page language="java" contentType="text/html; charset=UTF-8"
        pageEncoding="UTF-8"%>  <!-- 设置页面的语言为Java，字符编码为UTF-8,设置页面的编码为UTF-8 -->
<!DOCTYPE html>  <!-- 声明HTML5文档类型 -->
<html>  <!-- 开始HTML文档 -->
<head>
  <meta charset="UTF-8">  <!-- 设置页面字符编码为UTF-8 -->
  <title>图书证修改</title>  <!-- 设置页面标题为“图书证修改” -->
  <link rel="stylesheet" href="../public/layui/css/layui.css"  media="all">  <!-- 引入layui的CSS文件 -->
  <script src="../public/layui/layui.js" charset="utf-8"></script>  <!-- 引入layui的JS文件 -->
  <style>
    .layui-form{  <!-- 定义layui表单样式 -->
      margin: 10px 20px;  <!-- 设置表单的外边距为10px 20px -->
    }
  </style>
</head>
<body>
<%
  Connection connection = null;  // 声明数据库连接对象
  PreparedStatement  pstmt = null;  // 声明PreparedStatement对象
  ResultSet ruleSet = null;  // 声明ResultSet对象，用于存储查询结果
  String sql = "select * from rules";  // 定义SQL查询语句
  String result = "";  // 定义结果字符串
  connection = (Connection)Base.getConnection();  // 获取数据库连接
  pstmt = connection.prepareStatement(sql);  // 创建PreparedStatement对象并执行SQL查询
  ruleSet = pstmt.executeQuery();  // 执行查询并返回结果集
%>
<form class="layui-form  layui-form-pane" action="" lay-filter="cardFilter">  <!-- 定义表单，layui样式 -->
  <!-- 姓名 -->
  <div class="layui-form-item">  <!-- 表单项 -->
    <label class="layui-form-label">姓名</label>  <!-- 表单标签 -->
    <div class="layui-input-block">  <!-- 表单输入框 -->
      <input type="text" name="reader" lay-verify="required" autocomplete="off" placeholder="请输入姓名" class="layui-input">  <!-- 输入框，必须填写 -->
    </div>
  </div>

  <!-- 密码 -->
  <div class="layui-form-item">  <!-- 表单项 -->
    <label class="layui-form-label">密码</label>  <!-- 表单标签 -->
    <div class="layui-input-block">  <!-- 表单输入框 -->
      <input type="password" name="password" placeholder="请输入密码" autocomplete="off" class="layui-input"  lay-verify="required">  <!-- 输入框，密码字段，必须填写 -->
    </div>
  </div>

  <!-- 借阅规则 -->
  <div class="layui-form-item">  <!-- 表单项 -->
    <label class="layui-form-label">规则</label>  <!-- 表单标签 -->
    <div class="layui-input-block">  <!-- 表单输入框 -->
      <select name="rule_id" lay-filter="rule_id"  lay-verify="required">  <!-- 下拉框，规则选择，必须选择 -->
        <% while(ruleSet.next()){ %>  <!-- 循环遍历查询结果 -->
        <option value=<%=ruleSet.getString("id") %>><%=ruleSet.getString("id") %></option>  <!-- 为每个规则生成一个选项 -->
        <%} %>
      </select>
    </div>
  </div>

  <div class="layui-form-item">  <!-- 表单项 -->
    <label class="layui-form-label">状态</label>  <!-- 表单标签 -->
    <div class="layui-input-block">  <!-- 表单输入框 -->
      <input type="radio" name="status" value="1" title="可用" checked="">  <!-- 单选按钮，表示“可用”状态 -->
      <input type="radio" name="status" value="0" title="挂失">  <!-- 单选按钮，表示“挂失”状态 -->
    </div>
  </div>

  <div class="layui-form-item">  <!-- 表单项 -->
    <div class="layui-input-block">  <!-- 表单输入框 -->
      <button class="layui-btn" lay-submit="" lay-filter="submitForm">立即提交</button>  <!-- 提交按钮，点击时触发submitForm事件 -->
      <button type="reset" class="layui-btn layui-btn-primary">重置</button>  <!-- 重置按钮，清空表单内容 -->
    </div>
  </div>
</form>

<script>
  layui.use(['form', 'jquery'], function(){  // 使用layui的form和jquery模块
    var form = layui.form  // 获取form模块实例
            ,layer = layui.layer;  // 获取layer模块实例
    $ = layui.jquery;  // 获取jQuery对象

    // 提交表单
    form.on('submit(submitForm)', function(data){  // 当提交表单时，触发submitForm事件
      $.ajax({  // 发送AJAX请求
        url: './cardAdd',  // 请求的URL地址
        method: 'post',  // 请求方法为POST
        data: data.field,  // 提交表单数据
        dataType: 'json',  // 返回数据的格式为JSON
        success: function(data){  // 请求成功后的回调函数
          if(data.code == "0"){  // 如果返回的状态码为“0”
            parent.layer.open({  // 打开父窗口的弹出层
              title: '注册账号为',  // 弹出层的标题
              content: data.data['id'],  // 弹出层显示返回的数据（图书证的ID）
              end: function(){  // 弹出层关闭时触发
                //parent.location.reload();  // 刷新父页面（已注释掉）
                var index = parent.layer.getFrameIndex(window.name);  // 获取当前iframe的索引
                parent.layer.close(index);  // 关闭当前iframe
              }
            });
          }else{
            leyer.msg("添加失败");  // 如果状态码不是“0”，显示失败消息（有拼写错误，应为"layer.msg"）
          }
        }

      });
      return false;  // 阻止表单默认提交
    })

  });
</script>
</body>
</html>
