<%@ page language="java" contentType="text/html; charset=UTF-8"
        pageEncoding="UTF-8"%>  // 设置页面编码为UTF-8，确保支持中文字符

<!DOCTYPE html>  // 定义文档类型为HTML5
<html>  // 开始HTML文档
<head>
  <meta charset="UTF-8">  // 定义文档的字符集为UTF-8
  <title>管理员添加</title>  // 页面标题，显示在浏览器标签页上
  <!-- layui -->
  <link rel="stylesheet" href="../public/layui/css/layui.css">  // 引入layui的CSS样式文件
  <script src="../public/layui/layui.js"></script>  // 引入layui的JS文件，提供UI交互功能
  <style>
    .layui-form{
      margin: 10px 20px;  // 设置表单的外边距
    }
  </style>
</head>
</head>
<body>
<form class="layui-form layui-form-pane" action="" lay-filter="formFilter">  // 使用layui的表单样式，lay-filter用于表单过滤
  <div class="layui-form-item">  // 表单项容器
    <label class="layui-form-label">姓名</label>  // 表单项标签，显示“姓名”
    <div class="layui-input-block">  // 输入框容器
      <input type="text" name="name" lay-verify="required" required autocomplete="off" placeholder="请输入姓名" class="layui-input">  // 姓名输入框，设置必填验证
    </div>
  </div>
  <div class="layui-form-item">  // 表单项容器
    <label class="layui-form-label">账号</label>  // 表单项标签，显示“账号”
    <div class="layui-input-block">  // 输入框容器
      <input type="text" name="account" lay-verify="required" placeholder="请输入账号" autocomplete="off" class="layui-input">  // 账号输入框，设置必填验证
    </div>
  </div>
  <div class="layui-form-item">  // 表单项容器
    <label class="layui-form-label">密码</label>  // 表单项标签，显示“密码”
    <div class="layui-input-block">  // 输入框容器
      <input type="password" name="password" lay-verify="required" placeholder="请输入密码" autocomplete="off" class="layui-input">  // 密码输入框，设置必填验证
    </div>
  </div>
  <div class="layui-form-item">  // 表单项容器
    <label class="layui-form-label">邮箱</label>  // 表单项标签，显示“邮箱”
    <div class="layui-input-block">  // 输入框容器
      <input type="text" name="email" lay-verify="required" placeholder="请输入邮箱" autocomplete="off" class="layui-input">  // 邮箱输入框，设置必填验证
    </div>
  </div>

  <div class="layui-form-item">  // 表单项容器
    <div class="layui-input-block">  // 输入框容器
      <button type="submit" class="layui-btn" lay-submit="" lay-filter="submitButton">立即提交</button>  // 提交按钮，触发表单提交
    </div>
  </div>
</form>
<script>

  // 使用layui的表单、jquery、layer模块
  layui.use(['form', 'jquery'], function(){
    $ = layui.jquery;  // 使用jQuery库
    var form = layui.form,  // 获取layui表单模块
            layer = layui.layer;  // 获取layui弹层模块

    // 监听提交按钮点击事件
    form.on('submit(submitButton)', function(data){
      $.ajax({  // 使用AJAX发送数据到后台
        url: './managerAdd',  // 请求的URL路径
        method: 'post',  // 使用POST请求方式
        data: data.field,  // 获取表单数据
        dataType: 'json',  // 设置响应数据格式为JSON
        success: function(data){  // 成功回调
          if(data.code == "0"){  // 判断返回数据的code是否为"0"表示成功
            parent.layer.msg("添加成功",{  // 使用父窗口的layer弹出提示框
              icon: 6,  // 图标类型为“成功”
              time: 500  // 显示500毫秒
            });
            setTimeout(function(){  // 延时操作
              parent.location.reload();  // 刷新父窗口
            }, 500);
          }else{
            layer.msg(data.msg);  // 如果返回失败，弹出错误信息
          }
        }
      })
      return false;  // 阻止表单默认提交
    });
  });

</script>
</body>
</html>
