<%@page import="java.sql.ResultSet"%>  // 引入java.sql.ResultSet类，用于处理数据库查询结果集
<%@page import="java.sql.PreparedStatement"%>  // 引入java.sql.PreparedStatement类，用于执行数据库的SQL查询
<%@page import="java.sql.Connection"%>  // 引入java.sql.Connection类，用于连接数据库
<%@page import="javabean.Base"%>  // 引入自定义的Base类，用于数据库连接管理
<%@ page language="java" contentType="text/html; charset=UTF-8"
        pageEncoding="UTF-8"%>  // 设置页面编码为UTF-8，确保能够支持中文字符

<!DOCTYPE html>  // 定义文档类型为HTML5
<html>  // 开始HTML文档
<head>
  <meta charset="UTF-8">  // 设置页面字符编码为UTF-8
  <title>管理员修改</title>  // 设置页面标题
  <!-- layui -->
  <link rel="stylesheet" href="../public/layui/css/layui.css">  // 引入layui的CSS文件，提供UI样式
  <script src="../public/layui/layui.js"></script>  // 引入layui的JS文件，提供UI交互功能
  <style>
    .layui-form{  // 定义layui表单的样式
    margin: 10px 20px;  // 设置表单外边距
    }
  </style>
</head>
</head>
<body>
<%
  // 获取页面传递的参数id
  String id = request.getParameter("id");
  // 获取数据库连接
  Connection connection = (Connection)Base.getConnection();
  // 编写SQL查询语句，获取管理员信息
  String sql = "select * from manager where id=?";
  // 创建PreparedStatement对象，防止SQL注入
  PreparedStatement pstmt = connection.prepareCall(sql);
  // 设置查询参数
  pstmt.setString(1,id);
  // 执行查询，获取结果集
  ResultSet resultSet = pstmt.executeQuery();
  // 移动结果集指针到第一行数据
  resultSet.next();
%>
<form class="layui-form layui-form-pane"  action="" lay-filter="formFilter">  // 创建layui表单，设置表单过滤器
  <input type="text" name="id" value=<%=id %>  lay-verify="required" required autocomplete="off" placeholder="请输入姓名" class="layui-input layui-hide">  // 隐藏id输入框，用于传递修改的管理员ID
  <div class="layui-form-item">  // 表单项容器
    <label class="layui-form-label">姓名</label>  // 姓名标签
    <div class="layui-input-block">  // 输入框容器
      <input type="text" name="name" value=<%=resultSet.getString("name") %> lay-verify="required" required autocomplete="off" placeholder="请输入姓名" class="layui-input">  // 姓名输入框，填入从数据库中获取的管理员姓名
    </div>
  </div>
  <div class="layui-form-item">  // 表单项容器
    <label class="layui-form-label">账号</label>  // 账号标签
    <div class="layui-input-block">  // 输入框容器
      <input type="text" name="account" value=<%=resultSet.getString("account") %> disabled lay-verify="required" placeholder="请输入账号" autocomplete="off" class="layui-input">  // 账号输入框，显示从数据库中获取的管理员账号，禁用（不可编辑）
    </div>
  </div>
  <div class="layui-form-item">  // 表单项容器
    <label class="layui-form-label">密码</label>  // 密码标签
    <div class="layui-input-block">  // 输入框容器
      <input type="password" name="password" value=<%=resultSet.getString("password") %> lay-verify="required" placeholder="请输入密码" autocomplete="off" class="layui-input">  // 密码输入框，填入从数据库中获取的管理员密码
    </div>
  </div>
  <div class="layui-form-item">  // 表单项容器
    <label class="layui-form-label">邮箱</label>  // 邮箱标签
    <div class="layui-input-block">  // 输入框容器
      <input type="text" name="email" value=<%=resultSet.getString("email") %> lay-verify="required" placeholder="请输入邮箱" autocomplete="off" class="layui-input">  // 邮箱输入框，填入从数据库中获取的管理员邮箱
    </div>
  </div>

  <div class="layui-form-item">  // 表单项容器
    <div class="layui-input-block">  // 输入框容器
      <button type="submit" class="layui-btn" lay-submit="" lay-filter="submitButton">立即提交</button>  // 提交按钮，点击后提交表单
    </div>
  </div>
</form>
<script>

  // 使用layui模块
  layui.use(['form', 'jquery'], function(){
    $ = layui.jquery;  // 使用jQuery库
    var form = layui.form,  // 获取layui的表单模块
            layer = layui.layer;  // 获取layui的弹层模块

    // 监听表单提交
    form.on('submit(submitButton)', function(data){
      $.ajax({  // 使用AJAX请求提交数据
        url: './managerEdit',  // 提交到的URL路径
        method: 'post',  // 提交方式为POST
        data: data.field,  // 获取表单提交的数据
        dataType: 'json',  // 设置返回数据格式为JSON
        success: function(data){  // 请求成功的回调函数
          if(data.code == "0"){  // 如果返回的code是"0"，表示修改成功
            parent.layer.msg("修改成功",{
              icon: 6,  // 成功图标
              time: 500  // 显示500毫秒
            });
            setTimeout(function(){  // 延时操作
              parent.location.reload();  // 刷新父页面
            }, 500);
          }else{
            layer.msg(data.msg);  // 否则显示错误信息
          }
        }
      })

      return false;  // 阻止表单默认提交
    });
  });

</script>
</body>
</html>
