<%@page import="javabean.Base"%>  // 导入Base类，用于数据库连接
<%@page import="java.sql.ResultSet"%>  // 导入ResultSet类，用于处理查询结果
<%@page import="java.sql.PreparedStatement"%>  // 导入PreparedStatement类，用于执行SQL语句
<%@page import="java.sql.Connection"%>  // 导入Connection类，用于数据库连接管理
<%@ page language="java" contentType="text/html; charset=UTF-8"
        pageEncoding="UTF-8"%>  // 设置页面的字符编码为UTF-8

<!DOCTYPE html>  // 声明文档类型为HTML5
<html>  // 开始HTML文档
<head>
    <meta charset="UTF-8">  // 设置页面的字符编码为UTF-8
    <title>分类编辑</title>  // 页面标题为“分类编辑”
    <!-- layui -->
    <link rel="stylesheet" href="../public/layui/css/layui.css">  // 引入layui框架的CSS文件，用于页面样式
    <script src="../public/layui/layui.js"></script>  // 引入layui框架的JavaScript文件，用于实现页面交互
    <style>
        .layui-form{  // 自定义表单样式
        margin: 10px 20px;  // 设置表单的外边距
        }
    </style>
</head>
<body>
<%
    // 获取请求参数中的id，表示要编辑的分类ID
    String id = request.getParameter("id");

    // 初始化数据库连接、PreparedStatement和ResultSet对象
    Connection connection = null;
    PreparedStatement pstmt = null;
    ResultSet resultSet = null;
    String sql = "";

    // 获取数据库连接
    connection = (Connection)Base.getConnection();
    // 设置查询语句，查询指定ID的分类信息
    sql = "select * from book_sort where id = ?";
    // 创建PreparedStatement对象，并设置参数
    pstmt = connection.prepareStatement(sql);
    pstmt.setString(1, id);
    // 执行查询，获取结果集
    resultSet = pstmt.executeQuery();
    // 移动游标到查询结果的第一行
    resultSet.next();
%>

<form class="layui-form layui-form-pane" action="" lay-filter="formFilter">  // 创建一个layui表单，设置过滤器为"formFilter"
    <input type="text" name="id" value=<%=id %> lay-verify="required" required autocomplete="off" class="layui-input layui-hide">  // 隐藏字段，用于提交分类ID
    <div class="layui-form-item">  // 创建一个表单项
        <label class="layui-form-label">分类名</label>  // 标签显示为“分类名”
        <div class="layui-input-block">  // 输入框容器
            <input type="text" name="name" value=<%=resultSet.getString("name") %> lay-verify="required" required autocomplete="off" placeholder="请输入分类名" class="layui-input">  // 文本框，显示从数据库中查询到的分类名，设置为必填
        </div>
    </div>

    <div class="layui-form-item layui-form-text">  // 创建一个文本区域
        <label class="layui-form-label">分类描述</label>  // 标签显示为“分类描述”
        <div class="layui-input-block">  // 输入框容器
            <textarea name="description" placeholder="请输入内容" class="layui-textarea" style="height:300px"><%=resultSet.getString("description") != null ? resultSet.getString("description") : ""  %></textarea>  // 文本框区域，显示从数据库查询到的分类描述，若为空则显示空字符串
        </div>
    </div>

    <div class="layui-form-item">  // 创建一个表单项
        <div class="layui-input-block">  // 输入框容器
            <button type="submit" class="layui-btn" lay-submit="" lay-filter="submitButton">立即提交</button>  // 提交按钮，设置lay-submit属性为提交表单，lay-filter为按钮的过滤标识
        </div>
    </div>
</form>

<script>  // 开始JavaScript代码

layui.use(['form', 'jquery'], function(){  // 使用layui的form和jquery模块
    $ = layui.jquery;  // 引入jQuery库
    var form = layui.form  // 获取form模块
        ,layer = layui.layer  // 获取layer模块，用于弹窗提示
    //监听提交
    form.on('submit(submitButton)', function(data){  // 监听提交按钮的点击事件，触发submitButton事件
        $.ajax({  // 使用AJAX请求提交表单数据
            url: './sortEdit',  // 提交的URL地址
            method: 'post',  // 请求方法为POST
            data: data.field,  // 提交表单数据
            dataType: 'json',  // 返回的数据格式为JSON
            success: function(data){  // 请求成功的回调函数
                if(data.code == "0"){  // 如果返回的code为0，表示成功
                    parent.layer.msg(data.msg,{  // 弹出提示框，提示“添加成功”
                        icon: 6,  // 成功图标
                        time: 500  // 显示时间为500毫秒
                    });
                    setTimeout(function(){  // 延时操作
                        parent.location.reload();  // 刷新父页面
                    }, 500);
                }else{  // 如果返回的code不为0，表示失败
                    layer.msg(data.msg);  // 弹出返回的错误信息
                }
            }
        })

        return false;  // 阻止表单默认提交行为
    });
});

</script>

<%
    // 关闭数据库资源
    Base.closeResource(connection, pstmt, resultSet);
%>

</body>
</html>
