<%@ page language="java" contentType="text/html; charset=UTF-8"
		pageEncoding="UTF-8"%>  // 设置页面的字符编码为UTF-8
<!DOCTYPE html>  // 声明文档类型为HTML5
<html lang="en">  // 设置页面语言为英语
<head>
	<meta charset="UTF-8">  // 设置页面字符编码为UTF-8
	<title>借阅卡</title>  // 页面标题为“借阅卡”
	<link rel="stylesheet" href="../public/layui/css/layui.css" media="all">  // 引入layui的CSS文件，用于页面样式
	<style>
		.layui-table,.layui-table-view{  // 定义表格样式
		margin: 0 0px;  // 设置表格的外边距
		}
	</style>
</head>
<body>
<!-- 表单 -->
<table class="layui-hide" id="cardTable" lay-filter="formFilter"></table>  // 创建一个layui表格，隐藏表格，设置ID为cardTable，lay-filter为formFilter
<script src="../public/layui/layui.js" charset="utf-8"></script>  // 引入layui的JS文件，包含所有layui的功能
<!-- 头部工具栏 -->
<script type="text/html" id="headBar">
	<button type="button" class="layui-btn layui-btn-sm" lay-event="add"><i class="layui-icon">添加分类</i></button>  // 定义一个添加分类的按钮，使用layui的图标
</script>

<!-- 表格后面的操作 -->
<script type="text/html" id="operateBar">
	<a class="layui-btn layui-btn-xs" lay-event="edit">编辑</a>  // 编辑操作按钮
	<a class="layui-btn layui-btn-danger layui-btn-xs" lay-event="del">删除</a>  // 删除操作按钮
</script>
<script>
	layui.use(['table','jquery'], function(){  // 使用layui的table和jquery模块
		$ = layui.jquery;  // 引入jquery库
		var table = layui.table;  // 获取layui的table模块
		// 进行渲染
		var tableIns = table.render({  // 渲染表格
			elem: '#cardTable'  // 选择表格元素
			,url:'./sortList'  // 数据请求URL
			,toolbar: '#headBar'  // 设置表格上方的工具栏
			,height: 600  // 设置表格的高度为600px
			,cols: [[  // 定义表格列
				{field:'id', width:80, title: 'ID', sort: true}  // ID列，排序功能开启
				,{field:'name', width:180, title: '分类名', sort: true}  // 分类名列，排序功能开启
				,{field:'description', width:480, title: '描述', sort: true}  // 描述列，排序功能开启
				,{fixed: 'right', title:'操作', toolbar: '#operateBar', align: 'center', width:150}  // 操作列，右侧固定，使用自定义工具栏（编辑和删除按钮）
			]]
		});

		// 头部工具栏事件
		table.on('toolbar(formFilter)', function(obj){  // 监听表格上方工具栏的事件
			var checkStatus = table.checkStatus(obj.config.id);  // 获取表格选中的行
			switch(obj.event){  // 根据事件类型执行不同操作
					// 添加分类
				case 'add':
					var addCardLayer = layer.open({  // 打开一个layer弹窗
						type: 2,  // 弹窗类型为iframe
						title: '添加借书证',  // 弹窗标题
						area: ['800px', '500px'],  // 弹窗大小
						maxmin: true,  // 允许最大化最小化
						shadeClose: true,  // 点击遮罩关闭弹窗
						content: 'sortadd.jsp',  // 弹窗内容为sortadd.jsp页面
					});
			};
		});

		// 侧边工具栏事件
		table.on(('tool(formFilter)'), function(obj){  // 监听表格中操作列的事件（编辑和删除）
			var data = obj.data;  // 获取当前行的数据
			var layEvent = obj.event;  // 获取当前事件类型（edit或del）
			var tr = obj.tr;  // 获取当前行
			var id = data.id;  // 获取当前行的ID
			switch(obj.event){  // 根据事件类型执行不同操作
				case 'edit':
					layer.open({  // 打开一个layer弹窗
						type: 2,  // 弹窗类型为iframe
						title: '更改信息',  // 弹窗标题
						area: ['800px', '600px'],  // 弹窗大小
						maxmin: true,  // 允许最大化最小化
						shadeClose: true,  // 点击遮罩关闭弹窗
						content: 'sortedit.jsp?id=' + id,  // 弹窗内容为sortedit.jsp页面，传递ID参数
					})
					break;
				case 'del':
					layer.confirm('确认删除么？<br><span style="color:red;">这将会将该分类下的书籍归为未分类</span>', function(){  // 弹出确认删除的提示框
						$.ajax({  // 发送删除请求
							url: './sortDel',  // 删除操作的URL
							type: 'get',  // 请求方法为GET
							data: 'id=' + id,  // 请求数据，传递要删除的ID
							success: function(data){  // 请求成功后的回调函数
								if(data.code == 0){  // 如果删除成功
									parent.layer.msg(data.msg,{  // 弹出成功提示
										icon: 6,  // 成功图标
										time: 500  // 提示框显示时间为500毫秒
									});
									setTimeout(function(){  // 延时操作
										parent.location.reload();  // 刷新父页面
									}, 500);
								}else{  // 如果删除失败
									layer.msg(data.msg);  // 弹出错误信息
								}
							}
						})
					})
			}
		})
	});
</script>
</body>
</html>
