<%@ page language="java" contentType="text/html; charset=UTF-8"
        pageEncoding="UTF-8"%>  // 设置页面的编码方式为UTF-8
<!DOCTYPE html>  // 声明文档类型为HTML5
<html>  // HTML文档开始
<head>
  <meta charset="UTF-8">  // 设置页面的字符编码为UTF-8
  <title>修改密码</title>  // 设置页面标题为“修改密码”
  <!-- layui -->
  <link rel="stylesheet" href="../public/layui/css/layui.css">  // 引入layui的CSS样式文件
  <script src="../public/layui/layui.js"></script>  // 引入layui的JavaScript文件
  <style>
    .layui-form{  // 设置layui表单的样式
    margin: 10px 20px;  // 设置表单的外边距
    }
  </style>
</head>
<body>
<form class="layui-form layui-form-pane" action="" lay-filter="formFilter">  // 创建layui表单，设置formFilter作为表单过滤器

  <div class="layui-form-item">  // 定义表单项
    <label class="layui-form-label">旧密码</label>  // 设置标签为“旧密码”
    <div class="layui-input-block">  // 输入框所在块
      <input type="password" name="oldPassword" lay-verify="required" placeholder="请输入密码" autocomplete="off" class="layui-input">  // 密码输入框，带有验证规则
    </div>
  </div>

  <div class="layui-form-item">  // 定义表单项
    <label class="layui-form-label">新密码</label>  // 设置标签为“新密码”
    <div class="layui-input-block">  // 输入框所在块
      <input type="password" name="newPassword" lay-verify="required" placeholder="请输入密码" autocomplete="off" class="layui-input">  // 新密码输入框，带有验证规则
    </div>
  </div>

  <div class="layui-form-item">  // 定义表单项
    <label class="layui-form-label">确认密码</label>  // 设置标签为“确认密码”
    <div class="layui-input-block">  // 输入框所在块
      <input type="password" name="conPassword" lay-verify="required" placeholder="请输入密码" autocomplete="off" class="layui-input">  // 确认密码输入框，带有验证规则
    </div>
  </div>

  <div class="layui-form-item">  // 定义表单项
    <div class="layui-input-block">  // 输入框所在块
      <button type="submit" class="layui-btn" lay-submit="" lay-filter="submitButton">确认修改</button>  // 提交按钮，点击提交表单
    </div>
  </div>
</form>

<script>
  layui.use(['form', 'jquery'], function(){  // 使用layui的form和jquery模块
    $ = layui.jquery;  // 获取jquery库
    var form = layui.form,  // 获取layui的form模块
            layer = layui.layer;  // 获取layui的layer模块

    // 监听提交事件
    form.on('submit(submitButton)', function(data){  // 监听“确认修改”按钮点击事件
      $.ajax({
        url: './updatePassword',  // 提交的URL地址
        method: 'post',  // 提交方式为POST
        data: data.field,  // 提交的数据
        dataType: 'json',  // 预期返回的数据类型为JSON
        success: function(data){  // 请求成功回调函数
          if(data.code == "0"){  // 如果返回的代码是“0”，表示修改成功
            parent.layer.msg("修改成功",{  // 在父页面显示成功消息
              icon: 6,  // 使用成功的图标
              time: 500  // 500毫秒后关闭消息框
            });
            setTimeout(function(){  // 设置延迟操作
              var index = parent.layer.getFrameIndex(window.name);  // 获取当前iframe窗口的索引
              parent.layer.close(index);  // 关闭当前iframe窗口
            }, 500);
          }else{
            layer.msg(data.msg);  // 如果修改失败，弹出错误信息
          }
        }
      })

      return false;  // 阻止表单默认提交
    });
  });
</script>
</body>
</html>
